FHIR Complete

CareTeam

Care team management for patient care coordination

Search CareTeams

GET /CareTeam?patient={id}&participant={practitionerId}&status={status}&_count={limit}&_offset={offset}

Parameters

ParameterTypeDescription
patientstringFilter by patient resource_id
participantstringFilter by practitioner resource_id
statusstringproposed, active, suspended, inactive

Create CareTeam

POST /CareTeam
Content-Type: application/json
{
  "resourceType": "CareTeam",
  "status": "active",
  "name": "Primary Care Team for Jan Novak",
  "subject": { "reference": "Patient/ZCT_patient_001" },
  "participant": [
    {
      "role": [
        {
          "coding": [
            {
              "system": "http://snomed.info/sct",
              "code": "446050000",
              "display": "Primary care physician"
            }
          ]
        }
      ],
      "member": { "reference": "Practitioner/ZCT_doctor_001" }
    }
  ]
}

Read / Update / Delete

GET /CareTeam/{resource_id}
PUT /CareTeam/{resource_id}
DELETE /CareTeam/{resource_id}

Role in Messaging

CareTeams are the foundation of the messaging system. Messages are sent to rooms identified by:

careteam:{care_team_id}:patient:{patient_id}

All CareTeam participants receive messages in that room. See Communication for details.